pigz_2.3.1-2_amd64.deb


Advertisement

Description

pigz - Parallel Implementation of GZip

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pigz
Package version 2.3.1
Package release 2
Package architecture amd64
Package type deb
Installed size 170 B
Download size 59.66 KB
Official Mirror archive.ubuntu.com
pigz, which stands for Parallel Implementation of GZip, is a fully functional
replacement for gzip that takes advantage of multiple processors and multiple
cores when compressing data.

Alternatives

Package Version Architecture Repository
pigz_2.3.1-2_i386.deb 2.3.1 i386 Ubuntu Universe
pigz - - -

Requires

Name Value
dpkg >= 1.15.6
libc6 >= 2.14
zlib1g >= 1:1.2.6

Download

Type URL
Binary Package pigz_2.3.1-2_amd64.deb
Source Package pigz

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pigz deb package:
    # sudo apt-get install pigz

Files

Path
/usr/bin/pigz
/usr/bin/unpigz
/usr/share/doc/pigz/README
/usr/share/doc/pigz/changelog.Debian.gz
/usr/share/doc/pigz/copyright
/usr/share/man/man1/pigz.1.gz
/usr/share/man/man1/unpigz.1.gz

Changelog

2015-01-18 - Eduard Bloch <blade@debian.org>
pigz (2.3.1-2) unstable; urgency=high
* Patch(es) from upstream's SCM to solve handling of target file names with
the -N option (CVE-2015-1191, closes: #774978)
2014-05-02 - Eduard Bloch <blade@debian.org>
pigz (2.3.1-1) unstable; urgency=medium
* New upstream version 2.3.1
* Changed rules to dh(9), policy reference update, removed patch for LDFLAGS
and libm usage (fixed by upstream)
2013-08-04 - Eduard Bloch <blade@debian.org>
pigz (2.3-2) unstable; urgency=low
* Unstable upload
* Editorial changes (policy version update, watch file from bartm)
2013-03-17 - Eduard Bloch <blade@debian.org>
pigz (2.3-1) experimental; urgency=low
* New upstream release
* restored Debian hardening flags inclusion, also fixes linking with libm
(minor upstream bug)
* Use locally defined buffer size instead of PATH_MAX (hurd porting)
2013-03-01 - Eduard Bloch <blade@debian.org>
pigz (2.2.5-1) experimental; urgency=low
* New upstream version (includes fix of #700608, removed our patch)
2013-02-23 - Eduard Bloch <blade@debian.org>
pigz (2.2.4-2) unstable; urgency=high
* Use 600 permissions for unfinished output files (CVE-2013-0296,
closes: #700608)
* started applying Debian hardening flags
2012-05-08 - Eduard Bloch <blade@debian.org>
pigz (2.2.4-1) unstable; urgency=low
* New upstream release
* Using upstream manual page (closes: #520617)
* Creating unpigz hardlink and related manpage link (closes: #661791)
* Removed using_standard_format_macros patch (superseded by upstream change)
2012-02-11 - Eduard Bloch <blade@debian.org>
pigz (2.2.3-1) unstable; urgency=low
* New upstream release (closes: #659248)
* Policy version bump, also using format 3.0 (quilt) and xz compression,
2010-03-10 - Eduard Bloch <blade@debian.org>
pigz (2.1.6-1) unstable; urgency=low
* New upstream release (closes: #573310)
2010-01-14 - Eduard Bloch <blade@debian.org>
pigz (2.1.5-1) unstable; urgency=low
* New upstream release (implemented most of local modifications)

See Also

Package Description
pike7.8-bzip2_7.8.866-5build1_amd64.deb Bzip2 module for Pike
pike7.8-core_7.8.866-5build1_amd64.deb Powerful interpreted programming language
pike7.8-dev_7.8.866-5build1_amd64.deb Development files for Pike 7.8
pike7.8-dnssd_7.8.866-5build1_amd64.deb DNS Service Discovery (DNS-SD) for Pike
pike7.8-doc_7.8.866-5build1_all.deb Pike 7.8 documentation metapackage
pike7.8-full_7.8.866-5build1_all.deb Metapackage for Pike 7.8
pike7.8-fuse_7.8.866-5build1_amd64.deb Filesystem in USErspace support for Pike
pike7.8-gdbm_7.8.866-5build1_amd64.deb Gdbm module for Pike
pike7.8-gl_7.8.866-5build1_amd64.deb Mesa modules for Pike
pike7.8-gtk_7.8.866-5build1_amd64.deb GTK+ 2.0 module for Pike
pike7.8-image_7.8.866-5build1_amd64.deb Image modules for Pike
pike7.8-kerberos_7.8.866-5build1_amd64.deb Kerberos and GSSAPI modules for Pike
pike7.8-manual_7.8.866-5build1_all.deb Pike 7.8 manual
pike7.8-mysql_7.8.866-5build1_amd64.deb MySQL modules for Pike
pike7.8-odbc_7.8.866-5build1_amd64.deb ODBC modules for Pike
Advertisement
Advertisement